require 'minitest/autorun'
require 'pepito/handler/chat_router'

class Stub
  include Pepito::Handler::ChatRouter
end

class TestPepitoHandlerChatRouter < MiniTest::Test
  def test_emtpy_routes
    stub = Stub.new
    assert_empty stub.chat_routes
  end

  def test_add_route
    stub = Stub.new
    stub.chat_route(/test/, :func_sym, command: true, help: 'help')

    assert_equal stub.chat_routes[0].pattern, /test/
    assert_equal stub.chat_routes[0].func, :func_sym
    assert_equal stub.chat_routes[0].command, true
    assert_equal stub.chat_routes[0].help, 'help'
  end

  def test_add_route_no_command
    stub = Stub.new
    stub.chat_route(/test/, :func_sym)

    assert_equal stub.chat_routes[0].command, false
  end

  def test_add_route_no_help
    stub = Stub.new
    stub.chat_route(/test/, :func_sym)

    assert_nil stub.chat_routes[0].help
  end
end
