require 'minitest/autorun'
require 'pepito/handlers/info'
require 'pepito/version'

class TestPepitoHandlersInfo < MiniTest::Test
  def setup
    @handler = Pepito::Handlers::Info.new(nil, {})
    @handler.run
  end

  def test_has_chat_routes
    chat_routes = ['info']
    @handler.chat_routes.each do |route|
      chat_routes.entries.each do |r|
        chat_routes.delete(r) if route.pattern.match(r)
      end
    end
    assert_empty chat_routes
  end

  def test_has_web_routes
    http_routes = [
      { method: 'GET', path: '/info' }
    ]
    @handler.http_routes.each do |route|
      http_routes.entries.each do |r|
        http_routes.delete(r) if route.route.path_for_generation == r[:path] && route.route.request_methods.include?(r[:method])
      end
    end
    assert_empty http_routes
  end
end
