require 'minitest/autorun'
require 'pepito/handlers/room'

class TestPepitoHandlersRoom < MiniTest::Test
  def setup
    @handler = Pepito::Handlers::Room.new(nil, {})
    @handler.run
  end

  def test_has_chat_routes
    chat_routes = ['set topic word', 'set topic multiple words']
    @handler.chat_routes.each do |route|
      chat_routes.entries.each do |r|
        chat_routes.delete(r) if route.pattern.match(r)
      end
    end
    assert_empty chat_routes
  end

  def test_chat_set_topic
    match_data = { 'topic' => 'topic' }
    mock_adapter = MiniTest::Mock.new
    mock_source = MiniTest::Mock.new

    mock_adapter.expect(:topic, nil, [mock_source, match_data['topic']])
    mock_source.expect(:adapter, mock_adapter)

    @handler.chat_set_topic(mock_source, match_data)

    mock_adapter.verify
    mock_source.verify
  end
end
