require 'minitest/autorun'
require 'pepito/handler'

class TestPepitoHandler < MiniTest::Test
  def test_http_routes_registry
    mock_route = MiniTest::Mock.new
    mock_route.expect(:route, nil)
    mock_route.expect(:route, nil)

    mock_router = MiniTest::Mock.new
    mock_router.expect(:add_route, nil, [mock_route.route])

    mock_http_api = MiniTest::Mock.new
    mock_http_api.expect(:router, mock_router)

    mock_robot = MiniTest::Mock.new
    mock_robot.expect(:http_api, mock_http_api)

    handler = Pepito::Handler.new(mock_robot, {})
    handler.http_routes << mock_route
    handler.start

    assert mock_robot.verify
    assert mock_http_api.verify
    assert mock_router.verify
    assert mock_route.verify
  end
end
