require 'minitest/autorun'
require 'pepito/helpers'

class TestPepitoHelpers < MiniTest::Test
  include Pepito::Helpers

  def test_install_gem
    gem_name = 'pepito'

    mock_dependency_installer = MiniTest::Mock.new
    mock_dependency_installer.expect(:install, nil, [gem_name])

    Gem::DependencyInstaller.stub :new, mock_dependency_installer do
      gem_install gem_name
    end

    assert mock_dependency_installer.verify
  end

  def test_uninstall_gem
    gem_name = 'pepito'

    mock_uninstaller = MiniTest::Mock.new
    mock_uninstaller.expect(:uninstall, nil, [])

    Gem::Uninstaller.stub :new, mock_uninstaller do
      gem_uninstall gem_name
    end

    assert mock_uninstaller.verify
  end

  def test_gem_installed
    assert gem_installed? 'pepito'
    refute gem_installed? ''
  end
end
