require 'minitest/autorun'
require 'pepito/source'

class TestPepitoSource < MiniTest::Test
  def setup
    @mock_adapter = MiniTest::Mock.new
    @mock_adapter.expect(:==, true, [@mock_adapter])

    @source = Pepito::Source.new(@mock_adapter, 'user', 'room', false)
  end

  def test_adapter_assignment
    assert_equal @source.adapter, @mock_adapter
  end

  def test_user_assignment
    assert_equal @source.user, 'user'
  end

  def test_room_assignment
    assert_equal @source.room, 'room'
  end

  def test_private_message_assignment
    assert_equal @source.private_message, false
  end
end
